net.minecraft.client.renderer.texture

## Class Texture

- java.lang.Object
- - net.minecraft.client.renderer.texture.Texture

-     public class Texture
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Texture(String par1Str, int par2, int par3, int par4, int par5, int par6, int par7, int par8, BufferedImage par9BufferedImage)`
    `Texture(String par1Str, int par2, int par3, int par4, int par5, int par6, int par7, int par8, int par9, BufferedImage par10BufferedImage)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `func_94272_a(Rect2i par1Rect2i, int par2)`
    `ByteBuffer` | `func_94273_h()`
    `Rect2i` | `func_94274_a()`
    `int` | `func_94275_d()`
    `int` | `func_94276_e()`
    `void` | `func_94277_a(int par1)`
    `void` | `func_94278_a(BufferedImage par1BufferedImage)`
    `void` | `func_94279_c(String par1Str)`
    `String` | `func_94280_f()`
    `void` | `func_94281_a(int par1, int par2, Texture par3Texture, boolean par4)`
    `int` | `func_94282_c()`
    `int` | `func_94284_b()`
    `void` | `func_94285_g()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Texture

          public Texture(String par1Str,
                 int par2,
                 int par3,
                 int par4,
                 int par5,
                 int par6,
                 int par7,
                 int par8,
                 BufferedImage par9BufferedImage)

    - #### Texture

          public Texture(String par1Str,
                 int par2,
                 int par3,
                 int par4,
                 int par5,
                 int par6,
                 int par7,
                 int par8,
                 int par9,
                 BufferedImage par10BufferedImage)

  - ### Method Detail

    - #### func_94274_a

          public final Rect2i func_94274_a()

    - #### func_94272_a

          public void func_94272_a(Rect2i par1Rect2i,
                          int par2)

    - #### func_94279_c

          public void func_94279_c(String par1Str)

    - #### func_94281_a

          public void func_94281_a(int par1,
                          int par2,
                          Texture par3Texture,
                          boolean par4)

    - #### func_94278_a

          public void func_94278_a(BufferedImage par1BufferedImage)

    - #### func_94284_b

          public int func_94284_b()

    - #### func_94282_c

          public int func_94282_c()

    - #### func_94275_d

          public int func_94275_d()

    - #### func_94276_e

          public int func_94276_e()

    - #### func_94280_f

          public String func_94280_f()

    - #### func_94277_a

          public void func_94277_a(int par1)

    - #### func_94285_g

          public void func_94285_g()

    - #### func_94273_h

          public ByteBuffer func_94273_h()